org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcMetaIndexesRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcMetaIndexesRequest

All Implemented Interfaces:
  ClientListenerRequest, JdbcRawBinarylizable

    public class JdbcMetaIndexesRequest
    extends JdbcRequest

JDBC indexes metadata request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC, BINARY_TYPE_GET, BINARY_TYPE_NAME_GET, BINARY_TYPE_NAME_PUT, BINARY_TYPE_PUT, CACHE_PARTITIONS, META_COLUMNS, META_INDEXES, META_PARAMS, META_PRIMARY_KEYS, META_SCHEMAS, META_TABLES, QRY_EXEC, QRY_META`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`JdbcMetaIndexesRequest(String schemaName, String tblName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`@Nullable String` `schemaName()`
`String` `tableName()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, readRequestId, readType, requestId, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcMetaIndexesRequest

    public JdbcMetaIndexesRequest(String schemaName,
                                  String tblName)

Parameters:
  `schemaName` - Cache name.
  `tblName` - Table name.

### Method Detail

#### schemaName

    @Nullable
    public @Nullable String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021